# node-oracledb version 5.5.0

The node-oracledb add-on for Node.js powers high performance Oracle Database
applications.  Applications can be written in TypeScript, or directly in
JavaScript.

Use node-oracledb 5.5.0 to connect Node.js 14, or later, to Oracle Database.
Older versions of node-oracledb may work with older versions of Node.js.

Node-oracledb supports basic and advanced features of Oracle Database
and Oracle Client.  See the [homepage][4] for a list.

The node-oracledb module is open source and maintained by Oracle Corp.
It is stable, well documented, and has a comprehensive test suite.

## <a name="installation"></a> Installation

See [Getting Started with Node-oracledb][1] and [Quick Start Node-oracledb Installation][2].

## <a name="doc"></a> Documentation

See [Documentation for the Oracle Database Node.js Add-on][32] and the [CHANGELOG][33].

## <a name="examples"></a> Examples

See the [examples][30] directory.  Start with [examples/example.js][31].

## <a name="help"></a> Help

Issues and questions about node-oracledb can be posted on [GitHub][3] or
[Slack][5] ([link to join Slack][6]).

## <a name="testing"></a> Tests

To run the test suite see [test/README][34].

## <a name="contrib"></a> Contributing

Node-oracledb is an open source project. See [CONTRIBUTING][35] for
details.

Oracle gratefully acknowledges the contributions to node-oracledb that
have been made by the community.

## <a name="license"></a> License

Copyright (c) 2015, 2022, Oracle and/or its affiliates.

You may not use the identified files except in compliance with the Apache
License, Version 2.0 (the "License.")

You may obtain a copy of the License at
[http://www.apache.org/licenses/LICENSE-2.0][36].  Unless required by
applicable law or agreed to in writing, software distributed under the
License is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR
CONDITIONS OF ANY KIND, either express or implied.

See the License for the specific language governing permissions and
limitations under the License.

Developers choosing to distribute a binary implementation of this project are
responsible for obtaining and providing all required licenses and copyright
notices for the third-party code used in order to ensure compliance with their
respective open source licenses.

[1]: https://oracle.github.io/node-oracledb/doc/api.html#getstarted
[2]: https://oracle.github.io/node-oracledb/INSTALL.html#quickstart
[3]: https://github.com/oracle/node-oracledb/issues
[4]: https://oracle.github.io/node-oracledb
[5]: https://node-oracledb.slack.com/
[6]: https://join.slack.com/t/node-oracledb/shared_invite/enQtNDU4Mjc2NzM5OTA2LWMzY2ZlZDY5MDdlMGZiMGRkY2IzYjI5OGU4YTEzZWM5YjQ3ODUzMjcxNWQyNzE4MzM5YjNkYjVmNDk5OWU5NDM
[30]: https://github.com/oracle/node-oracledb/blob/main/examples
[31]: https://github.com/oracle/node-oracledb/blob/main/examples/example.js#L32
[32]: https://oracle.github.io/node-oracledb/doc/api.html
[33]: https://github.com/oracle/node-oracledb/blob/main/CHANGELOG.md
[34]: https://github.com/oracle/node-oracledb/blob/main/test/README.md
[35]: https://github.com/oracle/node-oracledb/blob/main/CONTRIBUTING.md
[36]: http://www.apache.org/licenses/LICENSE-2.0
